#!/bin/bash

# Generate the data
echo -e "\n// Running experiments"
./artifact_eval_fig6.sh
./artifact_eval_fig11.sh
./artifact_eval_fig12.sh
./artifact_eval_fig14.sh
./artifact_eval_fig15.sh

# Compile results into CSV files
echo -e "\n// Aggregating results"
./generate_csvs_fig6.sh
./generate_csvs_fig11.sh
./generate_csvs_fig12.sh
./generate_csvs_fig14.sh
./generate_csvs_fig15.sh

# Plot the results
echo -e "\n// Plotting results"
./plot_fig6.sh
./plot_fig11.sh
./plot_fig12a.sh
./plot_fig12b.sh
./plot_fig14a.sh
./plot_fig14b.sh
./plot_fig15.sh

# Copy the plots into a folder by name
filetype="png"
cp ../plots/fig6_lock.$filetype ../plots/artifact_evaluation/fig6.$filetype
cp ../plots/fig11_blocking.$filetype ../plots/artifact_evaluation/fig11a.$filetype
cp ../plots/fig11_lock.$filetype ../plots/artifact_evaluation/fig11b.$filetype
cp ../plots/fig11_unlock.$filetype ../plots/artifact_evaluation/fig11c.$filetype
cp ../plots/fig12a_overhead.$filetype ../plots/artifact_evaluation/fig12a.$filetype
cp ../plots/fig12b_overhead.$filetype ../plots/artifact_evaluation/fig12b.$filetype
cp ../plots/fig12a_blocking.$filetype ../plots/artifact_evaluation/fig13.$filetype
cp ../plots/fig14a_overhead.$filetype ../plots/artifact_evaluation/fig14a.$filetype
cp ../plots/fig14b_overhead.$filetype ../plots/artifact_evaluation/fig14b.$filetype
cp ../plots/fig14c_total.$filetype ../plots/artifact_evaluation/fig14c.$filetype
cp ../plots/fig15_blocking.$filetype ../plots/artifact_evaluation/fig15a.$filetype
cp ../plots/fig15_overhead.$filetype ../plots/artifact_evaluation/fig15b.$filetype

# Remove any extra plots generated but not in the paper
rm ../plots/fig*_*.*
